5-a-day complains about bzr

Bug #193502 reported by wolfger on 2008-02-19
18
Affects Status Importance Assigned to Milestone
five-a-day
Medium
Daniel Holbach

Bug Description

With bzr version 0.90.0:

~$ add-5-a-day 180456 68134 27638 77569 139116
bzr: ERROR: Unknown branch format: 'Bazaar pack repository format 1 (needs bzr 0.92)\n'
bzr: ERROR: Not a branch: /home/wolfger/.5-a-day-data/
bzr: ERROR: Not a branch: /home/wolfger/.5-a-day-data/wolfger/
bzr: ERROR: Not a branch: /home/wolfger/.5-a-day-data/

with bzr version 1.2.0:

~$add-5-a-day 193351 193480
bzr: ERROR: Not a branch: "/home/greg/.5-a-day-data/".
bzr: ERROR: Not a branch: "/home/greg/.5-a-day-data/greg.grossmeier/".
bzr: ERROR: Not a branch: "/home/greg/.5-a-day-data/".

Confirmed on Gutsy.

Changed in 5-a-day-data:
status: New → Confirmed
Jorge Castro (jorge) on 2008-02-19
Changed in 5-a-day-data:
assignee: nobody → dholbach
importance: Undecided → Critical

It is working now for me.

After having a false start with the old version of bzr I had to delete all of .5-a-day-data (forcing it to start clean) and then it would work.

Marking invalid since as far as I can tell it was an issue with having the wrong version of bzr installed initially and then updating.

Please re-open if I have missed something.

Changed in 5-a-day-data:
status: Confirmed → Invalid
wolfger (wolfger) wrote :

re-opening, since the package is still actually broken, and doesn't work against the version of bzr available in gutsy repos. (0.90.0) Not sure how to fix that, except maybe include an appropriate version of bzr in the ppa and depend on that?

Changed in 5-a-day-data:
status: Invalid → Confirmed
Daniel Holbach (dholbach) wrote :

https://wiki.ubuntu.com/5-A-Day#Log now has newer instructions on how to do that, for Gutsy:

deb http://ppa.launchpad.net/5-a-day/ubuntu gutsy main
deb http://ppa.launchpad.net/bughelper-dev/ubuntu gutsy main
deb http://ppa.launchpad.net/bzr/ubuntu gutsy main

Alejandro Díaz-Caro (janus) wrote :

It's issue still there?

Daniel Holbach (dholbach) wrote :

The new version should require a newer version of bzr too.

Changed in five-a-day:
status: Confirmed → Incomplete
Daniel Holbach (dholbach) wrote :

Fixed. Please reopen if it's still a problem.

Changed in five-a-day:
importance: Critical → Medium
status: Incomplete → Fix Released
Johnathon (kirrus) wrote :

I'm experiencing this issue with bzr version 1.3.1, on hardy.

jtinsley@asus:~$ 5-a-day --add 193282
bzr: ERROR: Not a branch: "/home/jtinsley/.5-a-day-data/".

Changed in five-a-day:
status: Fix Released → Confirmed
Daniel Holbach (dholbach) wrote :

Johnathon: did you manually create ~/.5-a-day-data ? Can you post the output of ls -la ~/.5-a-day-data ?

Hi,

No, I didn't manually create the folder... Unfortunately, the computer that I was trying to put the program on has since died. Again. (Hard-drive failure... I think something is wrong with the PSU or SATA controller.)

I'll try it on my laptop once I've got everything else I need to do done :)

Did you find out anything more?

Changed in five-a-day:
status: Confirmed → Incomplete

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Daniel Holbach wrote:
| Did you find out anything more?

I'm afraid not. I'm not currently able to test this... I don't have the
spare time to triage...

I'll try it out again once I've got more time...

Thanks, :)

Johnathon

|
| ** Changed in: five-a-day
| Status: Confirmed => Incomplete
|

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIWKyC81bUwCB/xdgRAssGAJ93IzpT0u2/QvoG5gsZQGpuHzDVuwCeKdem
gkQfyEIClqObu7kJxLda8zo=
=+qsh
-----END PGP SIGNATURE-----

Closing the bug for now.

Changed in five-a-day:
status: Incomplete → Invalid
Mackenzie Morgan (maco.m) wrote :

I've got this bug on a fresh Hardy install. 64bit, whatever version of bzr is in Hardy. All ~/.5-a-day* are 644 permission, my user & group. Changing to 755 doesn't help.

$ 5-a-day --update
bzr: ERROR: Not a branch: "bzr+ssh://<email address hidden>/~maco.m/5-a-day-data/main/".
bzr failed with error code 768

Mackenzie Morgan (maco.m) wrote :

Oh, er, obviously it happens for me on 5-a-day --update.

Daniel Holbach (dholbach) wrote :

Can you do a
 - ls -la ~/.5-a-day* and post the output here?
 - Is the output you posted everything that 5-a-day said?

Changed in five-a-day:
status: Invalid → Incomplete

On Thu, Jul 10, 2008 at 3:34 AM, Daniel Holbach
<email address hidden> wrote:
> Can you do a
> - ls -la ~/.5-a-day* and post the output here?
> - Is the output you posted everything that 5-a-day said?

I'm not on that computer right now, but ls -la was the first thing I
checked, and it showed 644 permissions for all ~/.5-a-day* and user &
group were both maco (my user). Yes, that's the whole output.

Grant Bowman (grantbow) wrote :

I seem to be having a problem as well. I did not create the files manually. Here is my listing.

> ls -la ~/.5-a-day*
-rw-r--r-- 1 grantbow grantbow 9 2008-06-28 02:10 /home/grantbow/.5-a-day
-rw-r--r-- 1 grantbow grantbow 16 2008-07-15 22:14 /home/grantbow/.5-a-day-team

/home/grantbow/.5-a-day-grantbow:
total 16K
drwxr-xr-x 3 grantbow grantbow 4.0K 2008-07-15 21:56 ./
drwxr-xr-x 75 grantbow grantbow 4.0K 2008-07-15 22:14 ../
drwxr-xr-x 6 grantbow grantbow 4.0K 2008-07-15 21:56 .bzr/
-rw-r--r-- 1 grantbow grantbow 38 2008-07-15 22:56 data

Here's the full result of a run:

> 5-a-day --add 242085
Committing to: /home/grantbow/.5-a-day-grantbow/
modified data
Committed revision 3.
Traceback (most recent call last):
  File "/usr/bin/5-a-day", line 62, in <module>
    sys.exit(main())
  File "/usr/bin/5-a-day", line 33, in main
    return bzr.add(args[1:])
  File "/usr/lib/python2.5/site-packages/fiveaday/bzr.py", line 130, in add
    err = commit_changes(force_push or bool(filter(lambda a: a in ["-f", "--force"], args)))
  File "/usr/lib/python2.5/site-packages/fiveaday/bzr.py", line 102, in commit_changes
    b = branch.Branch.open("http://"+remote_branch().split("@")[1])
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 109, in open
    possible_transports=possible_transports)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 651, in open
    return BzrDir.open_from_transport(t, _unsupported=_unsupported)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 688, in open_from_transport
    redirected)
  File "/usr/lib/python2.5/site-packages/bzrlib/lazy_import.py", line 125, in __call__
    return obj(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/transport/__init__.py", line 1668, in do_catching_redirections
    transport = redirected(transport, e, redirection_notice)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 672, in redirected
    raise errors.NotBranchError(path=e.target)
bzrlib.errors.NotBranchError: Not a branch: "https://code.launchpad.net/".

Grant Bowman (grantbow) wrote :

oops, forgot this info:
ii bzr 1.3.1-1ubuntu0.1 easy to use distributed version control system
ii five-a-day 0.44~hardy1 utilities to participate in 5-A-Day statistics

I am having the same problems Grant is having, here is what mine says:

Committed revision 3.
Traceback (most recent call last):
  File "/usr/bin/5-a-day", line 62, in <module>
    sys.exit(main())
  File "/usr/bin/5-a-day", line 33, in main
    return bzr.add(args[1:])
  File "/usr/lib/python2.5/site-packages/fiveaday/bzr.py", line 130, in add
    err = commit_changes(force_push or bool(filter(lambda a: a in ["-f", "--force"], args)))
  File "/usr/lib/python2.5/site-packages/fiveaday/bzr.py", line 102, in commit_changes
    b = branch.Branch.open("http://"+remote_branch().split("@")[1])
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 107, in open
    possible_transports=possible_transports)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 667, in open
    return BzrDir.open_from_transport(t, _unsupported=_unsupported)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 704, in open_from_transport
    redirected)
  File "/usr/lib/python2.5/site-packages/bzrlib/lazy_import.py", line 125, in __call__
    return obj(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/transport/__init__.py", line 1620, in do_catching_redirections
    transport = redirected(transport, e, redirection_notice)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 688, in redirected
    raise errors.NotBranchError(path=e.target)
bzrlib.errors.NotBranchError: Not a branch: "https://code.launchpad.net/".

Running Intrepid Ibex updated as of today.

Daniel Holbach (dholbach) wrote :

To version 0.45 (just uploaded) I added a debug statement to find out which branch it is trying to check. Can you all please try again and paste the full output in a comment?

Thanks.

Grant Bowman (grantbow) wrote :

Aha, thanks Daniel. It's seems to modify the local data correctly but when committing across the network it's looking in the wrong place on my disk for the repository.

Checking 'http://bazaar.launchpad.net/~grantbow/5-a-day-data/main'.

The only place I have bzr information right now is ~grantbow/.5-a-day-grantbow/data

Here's the full traceback:

5-a-day --add 193502
Committing to: /home/grantbow/.5-a-day-grantbow/
modified data
Committed revision 5.
Checking 'http://bazaar.launchpad.net/~grantbow/5-a-day-data/main'.
Traceback (most recent call last):
  File "/usr/bin/5-a-day", line 62, in <module>
    sys.exit(main())
  File "/usr/bin/5-a-day", line 33, in main
    return bzr.add(args[1:])
  File "/usr/lib/python2.5/site-packages/fiveaday/bzr.py", line 132, in add
    err = commit_changes(force_push or bool(filter(lambda a: a in ["-f", "--force"], args)))
  File "/usr/lib/python2.5/site-packages/fiveaday/bzr.py", line 104, in commit_changes
    b = branch.Branch.open(readonly_branch_url)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 109, in open
    possible_transports=possible_transports)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 651, in open
    return BzrDir.open_from_transport(t, _unsupported=_unsupported)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 688, in open_from_transport
    redirected)
  File "/usr/lib/python2.5/site-packages/bzrlib/lazy_import.py", line 125, in __call__
    return obj(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/transport/__init__.py", line 1668, in do_catching_redirections
    transport = redirected(transport, e, redirection_notice)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 672, in redirected
    raise errors.NotBranchError(path=e.target)
bzrlib.errors.NotBranchError: Not a branch: "https://code.launchpad.net/".

Grant Bowman (grantbow) wrote :

I tried ln -s .5-a-day-grantbow 5-a-day-data. After some attempts at trying to checkout the branch manually, I don't think the repository on the server side exists either. I got the following traceback:

 5-a-day --add 253924
Committing to: /home/grantbow/.5-a-day-grantbow/
modified data
Committed revision 6.
Checking 'http://bazaar.launchpad.net/~grantbow/5-a-day-data/main'.
Traceback (most recent call last):
  File "/usr/bin/5-a-day", line 62, in <module>
    sys.exit(main())
  File "/usr/bin/5-a-day", line 33, in main
    return bzr.add(args[1:])
  File "/usr/lib/python2.5/site-packages/fiveaday/bzr.py", line 132, in add
    err = commit_changes(force_push or bool(filter(lambda a: a in ["-f", "--force"], args)))
  File "/usr/lib/python2.5/site-packages/fiveaday/bzr.py", line 104, in commit_changes
    b = branch.Branch.open(readonly_branch_url)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 109, in open
    possible_transports=possible_transports)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 651, in open
    return BzrDir.open_from_transport(t, _unsupported=_unsupported)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 688, in open_from_transport
    redirected)
  File "/usr/lib/python2.5/site-packages/bzrlib/lazy_import.py", line 125, in __call__
    return obj(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/transport/__init__.py", line 1668, in do_catching_redirections
    transport = redirected(transport, e, redirection_notice)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 672, in redirected
    raise errors.NotBranchError(path=e.target)
bzrlib.errors.NotBranchError: Not a branch: "https://code.launchpad.net/".

Daniel Holbach (dholbach) wrote :

Symlinking should not be necessary. I'll dive into the code again and provide a package with more debug output.

Daniel Holbach (dholbach) wrote :

Please try again with the following package.

Grant Bowman (grantbow) wrote :

I removed the sym link and ran it. Here's my result:

$ 5-a-day --add 193502
Committing to: /home/grantbow/.5-a-day-grantbow/
modified data
Committed revision 7.
Checking 'http://bazaar.launchpad.net/~grantbow/5-a-day-data/main'.
Permission denied (publickey).
bzr: ERROR: bzrlib.errors.TooManyConcurrentRequests: The medium '<bzrlib.smart.medium.SmartSSHClientMedium object at 0x858616c>' has reached its concurrent request limit. Be sure to finish_writing and finish_reading on the currently open request.

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 834, in run_bzr_catch_errors
    return run_bzr(argv)
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 790, in run_bzr
    ret = run(*run_argv)
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 492, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/usr/lib/python2.5/site-packages/bzrlib/builtins.py", line 633, in run
    branch_from = Branch.open_from_transport(location_transport)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 115, in open_from_transport
    control = bzrdir.BzrDir.open_from_transport(transport, _unsupported)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 688, in open_from_transport
    redirected)
  File "/usr/lib/python2.5/site-packages/bzrlib/transport/__init__.py", line 1664, in do_catching_redirections
    return action(transport)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 665, in find_format
    transport, _server_formats=_server_formats)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 1422, in find_format
    return format.probe_transport(transport)
  File "/usr/lib/python2.5/site-packages/bzrlib/bzrdir.py", line 2406, in probe_transport
    request = client.get_request()
  File "/usr/lib/python2.5/site-packages/bzrlib/smart/medium.py", line 417, in get_request
    return SmartClientStreamMediumRequest(self)
  File "/usr/lib/python2.5/site-packages/bzrlib/smart/medium.py", line 592, in __init__
    raise errors.TooManyConcurrentRequests(self._medium)
TooManyConcurrentRequests: The medium '<bzrlib.smart.medium.SmartSSHClientMedium object at 0x858616c>' has reached its concurrent request limit. Be sure to finish_writing and finish_reading on the currently open request.

bzr 1.3.1 on python 2.5.2.final.0 (linux2)
arguments: ['/usr/bin/bzr', 'pull', 'bzr+ssh://<email address hidden>/~grantbow/5-a-day-data/main']
encoding: 'UTF-8', fsenc: 'UTF-8', lang: 'en_US.UTF-8'
plugins:
  bzrtools /usr/lib/python2.5/site-packages/bzrlib/plugins/bzrtools [1.3.0]
  gtk /usr/lib/python2.5/site-packages/bzrlib/plugins/gtk [0.93.0]
  launchpad /usr/lib/python2.5/site-packages/bzrlib/plugins/launchpad [unknown]
  svn /usr/lib/python2.5/site-packages/bzrlib/plugins/svn [0.4.9]
*** Bazaar has encountered an internal error.
    Please report a bug at https://bugs.launchpad.net/bzr/+filebug
    including this traceback, and a description of what you
    were doing when the error occurred.
bzr failed with error code 1024
bzr failed with error code 103

Grant Bowman (grantbow) wrote :

What is the spec for both the client side and the server side? Exactly where should the the data be on both sides? What is the best way I can verify these manually?

Daniel Holbach (dholbach) wrote :

The result you're getting is really weird. Especially "Permission denied (publickey)." - are you sure it's your right SSH key on Launchpad?

Local: ~/.5-a-day-<LPID>
Remote: bzr+ssh://<LPID>@bazaar.launchpad.net/~<LPID>/5-a-day-data/main/

What does
       find ~/.5-a-day-grantbow
give you?

Daniel Holbach (dholbach) wrote :

What about everybody else who got the error? Does 0.46 help?

Grant Bowman (grantbow) wrote :

There was a single character missing from my ssh key. I've updated it and it seems to work now. I think catching that kind of error better and informing the user of the problem with the ssh key would be ideal. Here's the output of another test run.

$ 5-a-day --add 193504
Committing to: /home/grantbow/.5-a-day-grantbow/
modified data
Committed revision 9.
Checking 'http://bazaar.launchpad.net/~grantbow/5-a-day-data/main'.
bzr: ERROR: Not a branch: "bzr+ssh://<email address hidden>/~grantbow/5-a-day-data/main/".
bzr failed with error code 768
bzr failed with error code 103

I still need to know how to manually verify exactly what should exist. Inside of both the Local and the Remote location should be a file named "data", right? That file looks like a simple two column, space separated data file with the first column the output from `date +%s` (epoch seconds) and the second the bug number, right?

I'm sorry about the rudimentary bzr/launchpad questions. If I need to RTFM somewhere, just let me know; if you have a pointer to a specific portion of the docs that would be greatly appreciated.

I've attached the info about my local directory with the output of that find command.

Daniel Holbach (dholbach) wrote :

From what you say, your local branch seems to be fine.

Can you cd ~/.5-a-day-grantbow; bzr info and paste the output here?

Ping me on IRC if you like.

Grant Bowman (grantbow) wrote :

Handling those errors would be incredibly useful - I'm sure others
have had similar problems. I just double checked the instructions at
https://wiki.ubuntu.com/5-A-Day but didn't find a "5-A-DayDebugging"
page on how to go about solving problems or how to create a good bzr
branch on launchpad manually.

Seems I just missed you on IRC. Here's the output I got:

~/.5-a-day-grantbow $ bzr info
Standalone tree (format: pack-0.92)
Location:
  branch root: .

Grant Bowman (grantbow) wrote :

Hi Daniel, thanks for following up through these strange results and
for the offer but I just missed you in IRC. We'll catch up later.

Many thanks to james_w in #ubuntu-bugs for helping me fix this
problem. After backing up the data I removed my ~/.5-a-day-grantbow
directory and started over. Since it had the right ssh key this time
it did create the branch. I think it's working now.

Daniel Holbach (dholbach) wrote :

I'll dive in the code later today and try to make every case of bzr interaction more failsafe.

wolfger (wolfger) wrote :

It's been a while since the last update, and I had no such problem on a fresh Intrepid install. Should this be marked "fix released" now?

Mackenzie Morgan (maco.m) wrote :

Yes.

wolfger (wolfger) on 2008-12-01
Changed in five-a-day:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers